child_process.h File Reference
`#include <core/posix/process.h>`
`#include <core/posix/standard_stream.h>`
`#include <core/posix/visibility.h>`
`#include <core/signal.h>`
`#include <iosfwd>`
`#include <functional>`
Include dependency graph for child_process.h:
This graph shows which files directly or indirectly include this file:

Go to the source code of this file.

## Classes

class | core::posix::ChildProcess
| The Process class models a child process of this process. More...
class | core::posix::ChildProcess::DeathObserver
| The DeathObserver class observes child process' states and emits a signal when a monitored child has died. More...

## Namespaces

| core
| core::posix